%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}

Name:             apiviz
Version:          1.3.2
Release:          %mkrel 12
Summary:          APIviz is a JavaDoc doclet to generate class and package diagrams
Group:            Development/Java
License:          LGPLv2+
URL:              http://code.google.com/p/apiviz/
Source0:          http://apiviz.googlecode.com/files/apiviz-%{namedversion}-dist.tar.gz
Patch0:           0001-JDK7-compatibility.patch
Patch1:           0002-JDK8-compatibility.patch

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    maven-local
BuildRequires:    maven-antrun-plugin
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-surefire-provider-junit
BuildRequires:    maven-plugin-jxr
BuildRequires:    jdepend
BuildRequires:    ant-contrib
BuildRequires:    junit

%description
APIviz is a JavaDoc doclet which extends the Java standard doclet.
It generates comprehensive UML-like class and package diagrams for
quick understanding of the overall API structure. 

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n apiviz-%{namedversion}
%patch0 -p1

%patch1 -p1

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

#%pom_xpath_remove "pom:dependencies/pom:dependency[pom:artifactId = 'tools']/pom:scope"
#%pom_xpath_remove "pom:dependencies/pom:dependency[pom:artifactId = 'tools']/pom:systemPath"

%pom_remove_dep com.sun:tools
%pom_add_dep com.sun:tools

%mvn_alias "org.jboss.apiviz:apiviz" "net.gleamynode.apiviz:apiviz"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc COPYRIGHT.txt LICENSE.jdepend.txt LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt




%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.3.2-12.mga6
+ Revision: 982423
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1.3.2-11.mga6
+ Revision: 975432
- First rebuild of the java stack
- sync package apiviz with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Mon Dec 29 2014 daviddavid <daviddavid> 1.3.2-9.mga5
+ Revision: 807043
- fix build: do not build yet on mga5 with xmvn
  * revert to mvn-rpmbuild (until a real fix)
- switch to %%mvn_artifact and javapackages-local

  + dmorgan <dmorgan>
    - Rebuild in order to fix requires

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

  + luigiwalser <luigiwalser>
    - sync changes from fedora to fix with java 8
    - switch to java-1.8.0-openjdk

* Tue Oct 22 2013 umeabot <umeabot> 1.3.2-4.mga4
+ Revision: 545737
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 1.3.2-3.mga4
+ Revision: 501664
- Adapt BuildRequires to maven-local

* Fri Jan 11 2013 umeabot <umeabot> 1.3.2-2.mga3
+ Revision: 345952
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 dmorgan <dmorgan> 1.3.2-1.mga3
+ Revision: 328252
- New version

* Fri Mar 02 2012 dmorgan <dmorgan> 1.3.1-2.mga2
+ Revision: 216948
- Do not apply P1: Break build
- Clean spec file

  + gil <gil>
    - build fix
      working on on jdk7
    - imported package apiviz


* Wed Jul 20 2011 Marek Goldmann <mgoldman@redhat.com> 1.3.1-1
- Initial packaging


